Recommended jars to use with Camel

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Recommended jars to use with Camel

Binole, William J
Is there a recommended set of jars to use with versions of Camel? We have an application that is leveraging Camel, ActiveMQ and spring connecting to a queue on Weblogic. We recently made the move to upgrade all the versions of these jars to the most recent ones and have been having issues connecting to queues on Weblogic. We suspect that the problem is due to an incompatibility between one or more of the updated jars. So back to my question. Is there a set of recommended jars for a particular version of Camel? We have been trying different combinations but have not had any luck resolving the problem.

Bill

______________________________________________________________________
The contents of this message, together with any attachments, are intended only for the use of the person(s) to which they are addressed and may contain confidential and/or privileged information. Further, any medical information herein is confidential and protected by law. It is unlawful for unauthorized persons to use, review, copy, disclose, or disseminate confidential medical information. If you are not the intended recipient, immediately advise the sender and delete this message and any attachments. Any distribution, or copying of this message, or any attachment, is prohibited.
Reply | Threaded
Open this post in threaded view
|

Re: Recommended jars to use with Camel

Quinn Stevenson
You could look at the POM for the Camel parent for the Camel release you’re using - it has most of the dependencies in it.  Here’s a link to the current development version - you’ll need to look in one of the branches for your specific version of Camel. (https://github.com/apache/camel/blob/master/parent/pom.xml <https://github.com/apache/camel/blob/master/parent/pom.xml>)

Or look at the effective POM for one of your Camel projects.

Either of those will show you what your Camel version was tested with.

HTH

> On Jul 6, 2018, at 7:28 AM, Binole, William J <[hidden email]> wrote:
>
> Is there a recommended set of jars to use with versions of Camel? We have an application that is leveraging Camel, ActiveMQ and spring connecting to a queue on Weblogic. We recently made the move to upgrade all the versions of these jars to the most recent ones and have been having issues connecting to queues on Weblogic. We suspect that the problem is due to an incompatibility between one or more of the updated jars. So back to my question. Is there a set of recommended jars for a particular version of Camel? We have been trying different combinations but have not had any luck resolving the problem.
>
> Bill
>
> ______________________________________________________________________
> The contents of this message, together with any attachments, are intended only for the use of the person(s) to which they are addressed and may contain confidential and/or privileged information. Further, any medical information herein is confidential and protected by law. It is unlawful for unauthorized persons to use, review, copy, disclose, or disseminate confidential medical information. If you are not the intended recipient, immediately advise the sender and delete this message and any attachments. Any distribution, or copying of this message, or any attachment, is prohibited.